<?php
if (!function_exists('the_blogging_banner_slider_sec_args_2')) :
    /**
     * Banner Slider Details
     *
     * @since The Blogging 1.0.0
     *
     * @return array $qargs Slider details.
     */
    function the_blogging_banner_slider_sec_args_2()
    {
        $the_blogging_banner_slider_sec_number = absint(the_blogging_get_option('number_of_home_slider'));
        $the_blogging_banner_slider_sec_from = esc_attr(the_blogging_get_option('select_slider_from'));
        switch ($the_blogging_banner_slider_sec_from) {
            case 'from-page':
                $the_blogging_banner_slider_sec_page_list_array = array();
                for ($i = 1; $i <= $the_blogging_banner_slider_sec_number; $i++) {
                    $the_blogging_banner_slider_sec_page_list = the_blogging_get_option('select_page_for_slider_' . $i);
                    if (!empty($the_blogging_banner_slider_sec_page_list)) {
                        $the_blogging_banner_slider_sec_page_list_array[] = absint($the_blogging_banner_slider_sec_page_list);
                    }
                }
                // Bail if no valid pages are selected.
                if (empty($the_blogging_banner_slider_sec_page_list_array)) {
                    return;
                }
                /*page query*/
                $qargs = array(
                    'posts_per_page' => esc_attr($the_blogging_banner_slider_sec_number),
                    'orderby' => 'post__in',
                    'post_type' => 'page',
                    'post__in' => $the_blogging_banner_slider_sec_page_list_array,
                );
                return $qargs;
                break;

            case 'from-category':
                $the_blogging_banner_slider_sec_category = esc_attr(the_blogging_get_option('select_category_for_slider'));
                $qargs = array(
                    'posts_per_page' => esc_attr($the_blogging_banner_slider_sec_number),
                    'post_type' => 'post',
                    'cat' => $the_blogging_banner_slider_sec_category,
                );
                return $qargs;
                break;

            default:
                break;
        }
        ?>
        <?php
    }
endif;


if (!function_exists('the_blogging_banner_slider_sec')) :
    /**
     * Banner Slider
     *
     * @since The Blogging 1.0.0
     *
     */
    function the_blogging_banner_slider_sec()
    {
        $the_blogging_slider_button_text = esc_html(the_blogging_get_option('button_text_on_slider'));

        $the_blogging_slider_excerpt_number = absint(the_blogging_get_option('number_of_content_home_slider'));
        if (1 != the_blogging_get_option('show_slider_section')) {
            return null;
        }
        $the_blogging_banner_slider_sec_args_2 = the_blogging_banner_slider_sec_args_2();
        $the_blogging_banner_slider_sec_query = new WP_Query($the_blogging_banner_slider_sec_args_2); ?>
        <section class="twp-slider-wrapper">
            <div class="container">
                <!-- scrolling banner carousel -->
                <?php do_action('the_blogging_action_banner_carousel'); ?>
            </div>
            <div class="container-fluid">
                <?php $rtl_class_c = 'false';
                if(is_rtl()){ 
                    $rtl_class_c = 'true';
                }?>
                <div class="twp-slider twp-slider-secondary"  data-slick='{"rtl": <?php echo($rtl_class_c); ?>}'>
                    <?php
                    if ($the_blogging_banner_slider_sec_query->have_posts()) :
                        $slider_nav = '';
                        while ($the_blogging_banner_slider_sec_query->have_posts()) : $the_blogging_banner_slider_sec_query->the_post();
                            if (has_post_thumbnail()) {
                                $thumb = wp_get_attachment_image_src(get_post_thumbnail_id(get_the_ID()), 'the-blogging-main-banner');
                                $url = isset( $thumb[0] ) ? $thumb[0] : '';
                                $thumbs = wp_get_attachment_image_src(get_post_thumbnail_id(get_the_ID()), 'medium');
                                $urls = isset( $thumbs[0] ) ? $thumbs[0] : '';
                            }
                            $slider_img = '<img src="' . esc_url($urls) . '">';
                            if (has_excerpt()) {
                                $the_blogging_slider_content = get_the_excerpt();
                            } else {
                                $the_blogging_slider_content = the_blogging_words_count($the_blogging_slider_excerpt_number, get_the_content());
                            }
                            ?>
                            <div class="single-slide">
                                <div class="slide-bg-wrapper">
                                    <div class="slide-bg-large bg-image">
                                        <?php if (has_post_thumbnail()) { ?> 
                                            <img src="<?php echo esc_url($url); ?>">
                                        <?php  } ?>
                                    </div>
                                    <?php if (1 == the_blogging_get_option('enable_slider_overlay')) { ?>
                                        <div class="slider-overlay"></div>
                                    <?php } ?>
                                </div>
                                <div class="slide-text">
                                    <div class="container">
                                        <div class="post-category post-category-1">
                                            <?php the_blogging_entry_category(); ?>
                                        </div>
                                        <div class="slide-text-wrapper">
                                            <h2>
                                                <a href="<?php the_permalink(); ?>">
                                                    <?php the_title(); ?>
                                                </a>
                                            </h2>
                                                <?php if ($the_blogging_slider_excerpt_number > 1) { ?>
                                                    <p class="visible hidden-xs"><?php echo wp_kses_post($the_blogging_slider_content); ?></p>
                                                <?php } ?>
                                            <a href="<?php the_permalink(); ?>" class="read-more">
                                                <?php echo esc_html($the_blogging_slider_button_text); ?> <i class="ion-ios-arrow-right"></i>
                                            </a>
                                        </div>
                                    </div>
                                </div>
                            </div>
                            <?php
                            /*Slider nav*/
                            $slider_nav .= '<div class="slider-nav-item"><figure class="slider-article">';
                            if (has_post_thumbnail()) { 
                                $slider_nav .= '<span class="slider-nav-image bg-image">'.$slider_img.'</span>';
                            }
                            $slider_nav .= '<h4 class="slide-nav-title">';
                            $slider_nav .=  esc_html(wp_trim_words( get_the_title(), 10, ' ...' ));
                            $slider_nav .= '</h4>';
                            $slider_nav .= '</figure></div>';
                            /**/
                        endwhile;
                        wp_reset_postdata();
                    endif; ?>
                </div>
                <div class="twp-slidesnav">
                    <div class="container">
                        <div class="slider-nav">
                            <?php echo $slider_nav;?>
                        </div>
                    </div>
                </div>
            </div>
        </section>

        <?php
    }
endif;
add_action('the_blogging_action_slider_post_2', 'the_blogging_banner_slider_sec', 10);